Replace a custom map layer

put

/rest/ofscMetadata/v1/mapLayers/{label}

This operation updates the attributes of the specified custom map layer.

Request

Path Parameters
Body ()
The custom map layer object that needs to be updated.
Root Schema : MapLayers
Type: object
Title: MapLayers
Show Source
  • Title: Label
    Minimum Length: 1
    Maximum Length: 24
    Pattern: ^[A-Za-z0-9_]+$
    The unique identifier of the custom map layer.
  • Plugin or form map layer hint button
    Title: Plugin or form map layer hint button
    The object representing selected Custom Form or Plugin will be displayed as a button on layer hint. Parameters specified in Plugin/Form Field will be sent to the selected Custom Form or Plugin.
  • List of Shape Hint Columns
    Title: List of Shape Hint Columns
  • Title: Shape Title Column
    The name of the column that is selected as the title. This field is returned only if the property is set for the custom map layer.
  • Title: Status
    Allowed Values: [ "active", "inactive" ]
    The status of the custom map layers. The status can be set to either 'active' or 'inactive'.
  • List of Table Columns
    Title: List of Table Columns
  • Title: Text
    The name of the custom map layer in the user's language. This field is returned only by using the GET operation and it is ignored in a PUT or POST operation.
  • Translations
    Title: Translations
    The translations of all the custom map layers. This field is required in a PUT or POST operation. The translation of the 'text' parameter is required for the default language.
Nested Schema : Plugin or form map layer hint button
Type: object
Title: Plugin or form map layer hint button
The object representing selected Custom Form or Plugin will be displayed as a button on layer hint. Parameters specified in Plugin/Form Field will be sent to the selected Custom Form or Plugin.
Show Source
  • Title: PluginForm Type
    Allowed Values: [ "plugin", "form" ]
    The type of plugin or form the activity hint button on map layer.
  • Title: Label for plugin or form
    Minimum Length: 1
    Maximum Length: 64
    The label plugin or form for map layer hint.
Nested Schema : List of Shape Hint Columns
Type: array
Title: List of Shape Hint Columns
Show Source
Nested Schema : List of Table Columns
Type: array
Title: List of Table Columns
Show Source
Nested Schema : Translations
Type: array
Title: Translations
The translations of all the custom map layers. This field is required in a PUT or POST operation. The translation of the 'text' parameter is required for the default language.
Show Source
Nested Schema : Shape Hint Column
Type: object
Title: Shape Hint Column
Show Source
Nested Schema : Translation
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

This section describes the 200 status response for this operation.
Body ()
Root Schema : MapLayers
Type: object
Title: MapLayers
Show Source
  • Title: Label
    Minimum Length: 1
    Maximum Length: 24
    Pattern: ^[A-Za-z0-9_]+$
    The unique identifier of the custom map layer.
  • Plugin or form map layer hint button
    Title: Plugin or form map layer hint button
    The object representing selected Custom Form or Plugin will be displayed as a button on layer hint. Parameters specified in Plugin/Form Field will be sent to the selected Custom Form or Plugin.
  • List of Shape Hint Columns
    Title: List of Shape Hint Columns
  • Title: Shape Title Column
    The name of the column that is selected as the title. This field is returned only if the property is set for the custom map layer.
  • Title: Status
    Allowed Values: [ "active", "inactive" ]
    The status of the custom map layers. The status can be set to either 'active' or 'inactive'.
  • List of Table Columns
    Title: List of Table Columns
  • Title: Text
    The name of the custom map layer in the user's language. This field is returned only by using the GET operation and it is ignored in a PUT or POST operation.
  • Translations
    Title: Translations
    The translations of all the custom map layers. This field is required in a PUT or POST operation. The translation of the 'text' parameter is required for the default language.
Nested Schema : Plugin or form map layer hint button
Type: object
Title: Plugin or form map layer hint button
The object representing selected Custom Form or Plugin will be displayed as a button on layer hint. Parameters specified in Plugin/Form Field will be sent to the selected Custom Form or Plugin.
Show Source
  • Title: PluginForm Type
    Allowed Values: [ "plugin", "form" ]
    The type of plugin or form the activity hint button on map layer.
  • Title: Label for plugin or form
    Minimum Length: 1
    Maximum Length: 64
    The label plugin or form for map layer hint.
Nested Schema : List of Shape Hint Columns
Type: array
Title: List of Shape Hint Columns
Show Source
Nested Schema : List of Table Columns
Type: array
Title: List of Table Columns
Show Source
Nested Schema : Translations
Type: array
Title: Translations
The translations of all the custom map layers. This field is required in a PUT or POST operation. The translation of the 'text' parameter is required for the default language.
Show Source
Nested Schema : Shape Hint Column
Type: object
Title: Shape Hint Column
Show Source
Nested Schema : Translation
Type: object
Show Source

Default Response

This section describes the default error response for this operation.
Body ()
Root Schema : Error
Type: object
Error response
Show Source
Back to Top

Examples

The following example shows how to update or replace custom map layer attributes by submitting a PUT request on the REST resource.

Example of Request Header

The following shows an example of the request header.

PUT /rest/ofscMetadata/v1/mapLayers/somelb1 HTTP/1.0

Example of Request Body

The following example shows the contents of the request body in JSON format.

{
  "type": "external",           
  "status": "active",           
  "sourceName": "someSourceName",   
  "theme": "someTheme",       
  "url": "http://hello.com",    
  "translations": [             
    {
      "language": "en",
      "name": "Some Name"
    },
    {
      "language": "ru",
      "name": "¿¿¿¿¿-¿¿ ¿¿¿"
    }
  ]
}

Example of Response Header

The following shows an example of the response header.

HTTP/1.1 200 Ok

Example of Response Body

The following example shows the contents of the response body in JSON format.

{
    "label": "somelb1",         
    "type": "external",         
    "status": "active",         
    "sourceName": "someSourceName", 
    "theme": "someTheme",       
    "url": "http://hello.com",  
    "text": "Some Name",        
    "links": [
        {
            "rel": "canonical",
            "href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/mapLayers/somelb1"
        },
        {
            "rel": "describedby",
            "href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/mapLayers"
        }
    ]
}
Back to Top